<!DOCTYPE html>
<html><head>
<title>eric7.EricXML.SpellCheckDictionariesReader</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.EricXML.SpellCheckDictionariesReader</h1>
<p>
Module to read the web browser spell check dictionaries list file.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#SpellCheckDictionariesReader">SpellCheckDictionariesReader</a></td>
<td>Class to read the web browser spell check dictionaries list file.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="SpellCheckDictionariesReader" ID="SpellCheckDictionariesReader"></a>
<h2>SpellCheckDictionariesReader</h2>
<p>
    Class to read the web browser spell check dictionaries list file.
</p>

<h3>Derived from</h3>
XMLStreamReaderBase
<h3>Class Attributes</h3>
<table>
<tr><td>supportedVersions</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#SpellCheckDictionariesReader.__init__">SpellCheckDictionariesReader</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#SpellCheckDictionariesReader.__readDictionary">__readDictionary</a></td>
<td>Private method to read the plug-in info.</td>
</tr>
<tr>
<td><a href="#SpellCheckDictionariesReader.readXML">readXML</a></td>
<td>Public method to read and parse the XML document.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="SpellCheckDictionariesReader.__init__" ID="SpellCheckDictionariesReader.__init__"></a>
<h4>SpellCheckDictionariesReader (Constructor)</h4>
<b>SpellCheckDictionariesReader</b>(<i>data, entryCallback</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>data</i> (QByteArray)</dt>
<dd>
reference to the data array to read XML from
</dd>
<dt><i>entryCallback</i> (function)</dt>
<dd>
reference to a function to be called once the
            data for a dictionary has been read
</dd>
</dl>
<a NAME="SpellCheckDictionariesReader.__readDictionary" ID="SpellCheckDictionariesReader.__readDictionary"></a>
<h4>SpellCheckDictionariesReader.__readDictionary</h4>
<b>__readDictionary</b>(<i></i>)
<p>
        Private method to read the plug-in info.
</p>

<a NAME="SpellCheckDictionariesReader.readXML" ID="SpellCheckDictionariesReader.readXML"></a>
<h4>SpellCheckDictionariesReader.readXML</h4>
<b>readXML</b>(<i></i>)
<p>
        Public method to read and parse the XML document.
</p>

<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
